decodeDataNames {oce} | R Documentation

## Try to guess data names from hints found in file headers

### Description

Try to guess data names from hints found in file headers

### Usage

    decodeDataNames(names, scheme)

### Arguments

`names` | a vector of character strings with original names
`scheme` | an optional indication of the scheme that is employed. This may be `"ODF"`, in which case `ODFNames2oceNames` is used, or `"met"`, in which case some tentative code for met files is used.

### Details

Interoperability between oce functions requires that standardized data names be used, e.g. `"temperature"` for in-situ temperature. Very few data-file headers name the temperature column in exactly that way, however, and this function is provided to try to guess the names.

### Value

Vector of strings for the decoded names. If an unknown scheme is provided, this will just be `names`.

[Package oce version 0.9-18 Index]